#include "xcnode.h"

XCNode::XCNode()
    : XAsset()
    , mPlane()
    , mChildren()
{
}

XCNode::~XCNode()
{

}

void XCNode::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        mPlane.ParsePtr(aStream);

        // Parse children
        *aStream
            >> mChildren[0]
            >> mChildren[1];

        mPlane.ParseData(aStream);
    }
}

void XCNode::Clear()
{
    mPlane.Clear();
    mChildren.clear();
}




